# Interface EditorHost

All Known Implementing Classes:
  `AbstractEditorComponent, CodeEditor, EditField, RichTextArea`

public interface EditorHost
The bridge a pure editor view uses to reach the owning editor component and, through it, the platform text input source. The owning `com.codename1.ui.AbstractEditorComponent` implements this so the low level implementation access (which is package private to `com.codename1.ui`) stays out of the editor engine package.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `editorChanged()`
  Notifies the owning editor that the document content changed so it can fire its change listeners.
  `void`
  `fireEditorEvent(String type, String value)`
  Delivers a semantic editor event (e.g. a code completion request) back to the owning editor.
  `boolean`
  `isTextInputSupported()`
  True when the platform can bind a low level text input client (see `com.codename1.impl.CodenameOneImplementation#isTextInputSupported`).
  `Object`
  `startTextInput(TextInputClient client, TextInputConfig config)`
  Binds the client to the platform text input source and returns an opaque handle.
  `void`
  `stopTextInput(Object handle)`
  Unbinds a previously bound text input client.
  `void`
  `updateTextInputState(Object handle, TextInputState state)`
  Pushes the client's editing state down to the bound input source.

- ## Method Details

  - ### isTextInputSupported

    boolean isTextInputSupported()
    True when the platform can bind a low level text input client (see `com.codename1.impl.CodenameOneImplementation#isTextInputSupported`).

  - ### startTextInput

    Object startTextInput(TextInputClient client, TextInputConfig config)
    Binds the client to the platform text input source and returns an opaque handle.

  - ### updateTextInputState

    void updateTextInputState(Object handle, TextInputState state)
    Pushes the client's editing state down to the bound input source.

  - ### stopTextInput

    void stopTextInput(Object handle)
    Unbinds a previously bound text input client.

  - ### editorChanged

    void editorChanged()
    Notifies the owning editor that the document content changed so it can fire its change listeners.

  - ### fireEditorEvent

    void fireEditorEvent(String type, String value)
    Delivers a semantic editor event (e.g. a code completion request) back to the owning editor.